Open CASCADE Technology
7.4.0
|
Implements construction algorithms for an arc of hyperbola in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfHyperbola object provides a framework for: More...
#include <GCE2d_MakeArcOfHyperbola.hxx>
Public Member Functions | |
GCE2d_MakeArcOfHyperbola (const gp_Hypr2d &Hypr, const Standard_Real Alpha1, const Standard_Real Alpha2, const Standard_Boolean Sense=Standard_True) | |
Makes an arc of Hyperbola (TrimmedCurve from Geom2d) from a Hyperbola between two parameters Alpha1 and Alpha2. More... | |
GCE2d_MakeArcOfHyperbola (const gp_Hypr2d &Hypr, const gp_Pnt2d &P, const Standard_Real Alpha, const Standard_Boolean Sense=Standard_True) | |
Makes an arc of Hyperbola (TrimmedCurve from Geom2d) from a Hyperbola between point. More... | |
GCE2d_MakeArcOfHyperbola (const gp_Hypr2d &Hypr, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Boolean Sense=Standard_True) | |
Makes an arc of Hyperbola (TrimmedCurve from Geom2d) from a Hyperbola between two points P1 and P2. Note: the orientation of the arc of hyperbola is: More... | |
const Handle< Geom2d_TrimmedCurve > & | Value () const |
Returns the constructed arc of hyperbola. More... | |
operator const Handle< Geom2d_TrimmedCurve > & () const | |
Public Member Functions inherited from GCE2d_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. More... | |
gce_ErrorType | Status () const |
Returns the status of the construction. More... | |
Additional Inherited Members | |
Protected Attributes inherited from GCE2d_Root | |
gce_ErrorType | TheError |
Implements construction algorithms for an arc of hyperbola in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfHyperbola object provides a framework for:
GCE2d_MakeArcOfHyperbola::GCE2d_MakeArcOfHyperbola | ( | const gp_Hypr2d & | Hypr, |
const Standard_Real | Alpha1, | ||
const Standard_Real | Alpha2, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Makes an arc of Hyperbola (TrimmedCurve from Geom2d) from a Hyperbola between two parameters Alpha1 and Alpha2.
GCE2d_MakeArcOfHyperbola::GCE2d_MakeArcOfHyperbola | ( | const gp_Hypr2d & | Hypr, |
const gp_Pnt2d & | P, | ||
const Standard_Real | Alpha, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Makes an arc of Hyperbola (TrimmedCurve from Geom2d) from a Hyperbola between point.
and the parameter Alpha.
GCE2d_MakeArcOfHyperbola::GCE2d_MakeArcOfHyperbola | ( | const gp_Hypr2d & | Hypr, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Makes an arc of Hyperbola (TrimmedCurve from Geom2d) from a Hyperbola between two points P1 and P2. Note: the orientation of the arc of hyperbola is:
|
inline |
const Handle< Geom2d_TrimmedCurve >& GCE2d_MakeArcOfHyperbola::Value | ( | ) | const |
Returns the constructed arc of hyperbola.